Bug 28389 - Installer crashed when formatting my hard drive
Installer crashed when formatting my hard drive
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-20 01:14 EST by Royce Stute
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-21 17:37:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Royce Stute 2001-02-20 01:14:39 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (Windows NT 5.0; U)


After the installer sets up my swap file it crashes then creates this bug report:

Traceback (innermost last):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/progress_gui.py", line 20, in run
    rc = self.todo.doInstall ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1472, in doInstall
    self.fstab.mountFilesystems (self.instPath)
  File "fstab.py", line 710, in mountFilesystems
    iutil.mkdirChain(instPath + mntpoint)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iutil.py", line 193, in mkdirChain
    os.mkdir(path, 0755)
OSError: [Errno 5] Input/output error: '/mnt/sysimage/boot'

Local variables in innermost frame:
which: 4
dir: /mnt/sysimage/boot
elements: ['', 'mnt', 'sysimage', 'boot']
path: /mnt/sysimage/boot

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>

Reproducible: Always
Steps to Reproduce:
1. Go through the normal workstation install.  I used all default values except for manually inputting the specs for my monitor
2.
3.
	

Actual Results:  The installation crashed, produced the bug report, then rebooted my maching

Expected Results:  A complete installation

Traceback (innermost last):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/progress_gui.py", line 20, in run
    rc = self.todo.doInstall ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1472, in doInstall
    self.fstab.mountFilesystems (self.instPath)
  File "fstab.py", line 710, in mountFilesystems
    iutil.mkdirChain(instPath + mntpoint)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iutil.py", line 193, in mkdirChain
    os.mkdir(path, 0755)
OSError: [Errno 5] Input/output error: '/mnt/sysimage/boot'

Local variables in innermost frame:
which: 4
dir: /mnt/sysimage/boot
elements: ['', 'mnt', 'sysimage', 'boot']
path: /mnt/sysimage/boot

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>
Comment 1 Michael Fulbright 2001-02-21 17:37:03 EST
If you goto VC 4 and VC 3 (cntl-alt-f4 and -f3) do you see any serious looking
kernel i/o errors?
Comment 2 Michael Fulbright 2001-03-14 12:58:50 EST
Closing due to inactivity. Please reopen if you have additional information to add.

Note You need to log in before you can comment on or make changes to this bug.